Installing IBM Spectrum Virtualize 3-Site Orchestrator

To begin installing the IBM Spectrum Virtualize 3-Site Orchestrator, you download the installation package for your configuration. You can download the installation packages for Metro Mirror configurations or for HyperSwap® configurations. Different versions of the installation packages are supported on different releases of the system software.

Ensure that you select the correct version of the installation package that is supported on your system.

If you are upgrading your system to current release, you can also update the installation version (Orchestrator 1.0 or Orchestrator 2.0) to Orchestrator 3.0. If you have an existing 3-site configuration that uses either Orchestrator 1.0 or 2.0, you must update to Orchestrator 3.0. For more information, see Updating IBM Spectrum Virtualize 3-Site Orchestrator installation package. Conversely, you can also roll back an installation package to a lower version, if needed.

Use the following table to determine the appropriate installation package for your environment:

Table 1. Installation package versions and supported releases
Installation package version Supported 3-site configurations Supported IBM Spectrum® Virtualize releases Supported management interfaces
Orchestrator 1.0 Metro Mirror configurations only
8.3.1
8.4.0
8.4.0.x
Command-line interface only
Orchestrator 2.0 HyperSwap configurations only
8.4.0
8.4.0.x
Command-line interface only
Orchestrator 3.0 Metro Mirror configurations 8.4.0.x Management GUI and Command-line interface
HyperSwap configurations
8.4.3
Orchestrator 4.0 Metro Mirror configurations HyperSwap configuration 8.4.0.2 Command-line interface
8.4.3 Management GUI and Command-line interface
8.5.0.x
The following table indicates the relationship and consistency group limits supported for each product and version of Orchestrator.
Table 2. Relationship and consistency group limits per supported products
Installation package version Supported Products Relationship limits Consistency group limits
Orchestrator 1.0
IBM® SAN Volume Controller
IBM FlashSystem 9100
IBM FlashSystem 9200
Storwize® V7000
FlashSystem 5100
FlashSystem 5200
Storwize V5100
1250 16
FlashSystem 5000
Storwize V5000E
1024 16
Orchestrator 2.0
IBM SAN Volume Controller
IBM FlashSystem 9100
IBM FlashSystem 9200Storwize V7000
FlashSystem 5100
FlashSystem 5200
Storwize V5100
2000 16
FlashSystem 5000
Storwize V5000E
1250 16
Orchestrator 3.0
IBM SAN Volume Controller
IBM FlashSystem 9100
IBM FlashSystem 9200
FlashSystem 7200
Storwize V7000
FlashSystem 5100
FlashSystem 5200
Storwize V5100
2500 Metro Mirror relationships
2000 HyperSwap relationships
16
FlashSystem 5000
Storwize V5000E
IBM Spectrum Virtualize for Public Cloud
2048 Metro Mirror relationships
1250 HyperSwap relationships
16
Orchestrator 4.0
IBM SAN Volume Controller
IBM FlashSystem 9500
IBM FlashSystem 9100
IBM FlashSystem 9200
FlashSystem 7200
FlashSystem 7300
Storwize V7000
FlashSystem 5100
FlashSystem 5200
Storwize V5100
2000 16
FlashSystem 5000
Storwize V5000E
IBM Spectrum Virtualize for Public Cloud
1250 16
After you determine the version of the installation package that you want to download, complete these steps:
  1. Go to IBM Support to download the version of the installation package that your configuration requires.
  2. On the Linux® host, enter the rpm command to install the package.
    'installing rpm'
    [root@ORCH-HOST ~]# rpm -i ibm-SpectrumVirtualize-rc3site-orchestrator-<version-release-
    arch>.rpm
    The Red Hat® Package Manager (RPM) installs the 3-Site Orchestrator components at the following locations:
    INSTALLDIR : /opt/ibm/SpectrumVirtualize/rc3site/
    SERVICES : /opt/ibm/SpectrumVirtualize/rc3site/services
    LOGS : /opt/ibm/SpectrumVirtualize/rc3site/logs/

Installed Services

The RPM installs the following 3-Site Orchestrator services:
TaskDaemon
Controls replication on configured 3-Site Orchestrator consistency groups.
EventD
Communicates with the three sites and monitors various important attributes of the sites and configured consistency groups.

Port number 7003 is reserved for eventd service.

Misc
Maintains an audit log of the 3-Site Orchestrator commands that are entered.
Note: To stop the 3-Site Orchestrator services manually, contact IBM Support Center.

If you are upgrading your system to current release, you can also update an earlier installation version to the most current version. Conversely, you can also roll back an installation package to an earlier version, if needed.